#ifndef TEMPERATURESENSOR_H
#define TEMPERATURESENSOR_H

#include "LM75B.h"
#include <string>

class TemperatureSensor : public LM75B
{
public:
    TemperatureSensor(PinName SDA, PinName SCL, std::string key, std::string name);
    std::string getDataPacket(void);
private:
    std::string name;         
    std::string key;
    
};

#endif